﻿@using System.Web.UI.WebControls;
@using DevExpress.Web.Mvc;
@using DevExpress.Web.Mvc.UI;
@model Portal.Models.DCLInquiry.DCLInquiry
<script type="text/javascript">

    function EditAll(s, e) {
        $("#btnSubmit").show();
        $("#btnReset").show();

        $("#DriverNameEdit").show();
        $("#DriverName").hide();

        $("#checkComboBoxdua").show();
        $("#LogisticPartner").hide();     
     }

     function SubmitAll(s, e) {
         $("#btnSubmit").hide();
         $("#btnReset").hide();

         $("#DriverNameEdit").hide();
         $("#DriverName").show();

         $("#checkComboBoxdua").hide();
         $("#LogisticPartner").show();
     }

     function CancelAll(s, e) {
         $("#btnReject").hide();
         $("#btnReset").hide();

         $("#DriverNameEdit").hide();
         $("#DriverName").show();

         $("#checkComboBoxdua").hide();
         $("#LogisticPartner").show();
     }

</script>

<table border="0">
    <tr>
        <td style="height:25px; padding-right:4px;">
        @Html.Label("Delivery No")
        </td>
        <td style="padding-right:10px;">
                        @Html.DevExpress().TextBox(
                        settings =>
                        {
                            settings.Name = "DeliveryNo";
                            settings.Text = Model.DeliverNo;                                
                            settings.Width = new System.Web.UI.WebControls.Unit(150);
                            settings.Enabled = false;
                            settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                            settings.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);
                            settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                            settings.ControlStyle.Font.Bold = true;
                        }).GetHtml()
        </td>

        <td style="height:25px; padding-right:4px;">
        @Html.Label("Driver Name")
        </td>
        <td style="padding-right:10px;">
                        @Html.DevExpress().TextBox(
                        settings =>
                        {
                            settings.Name = "DriverName";
                            settings.Text = Model.DriverName;
                            settings.Width = new System.Web.UI.WebControls.Unit(150);
                            settings.Enabled = false;
                            settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                            settings.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);
                            settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                        }).GetHtml()
                         @Html.DevExpress().TextBox(
                        settings =>
                        {
                            settings.ClientVisible = false;
                            settings.Name = "DriverNameEdit";
                            settings.Text = Model.DriverName;
                            settings.Width = new System.Web.UI.WebControls.Unit(150);                     
                         //   settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                         //   settings.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);
                            settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                        }).GetHtml()
        </td>
        <td rowspan="3" valign="top" align="center" width="200">
            <div style="border:2px solid black;width:auto;padding:5px 5px 5px 5px;background-color:#00FF40">
                <span id="detailPopupName" style="color:Black; font-size:20; font-weight: bold;">REGULER PICKUP</span>
            </div>
        </td>
        </tr>
    <tr>
        <td>
        @Html.Label("Logistic Partner")
        </td>
        <td style="padding-right:10px;">
                        @Html.DevExpress().TextBox(
                        settings =>
                        {
                          //  settings.ClientVisible = false;
                            settings.Name = "LogisticPartner";
                            settings.Text = Model.LogisticPartner;
                            settings.Width = new System.Web.UI.WebControls.Unit(150);
                            settings.Enabled = false;
                            settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                            settings.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);
                            settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                        }).GetHtml()
                      @Html.DevExpress().DropDownEdit(
                        settings => {
                        settings.Name = "checkComboBoxdua";
                        settings.ClientVisible = false;
                         settings.Width = System.Web.UI.WebControls.Unit.Percentage(100);
                        settings.Properties.DropDownWindowStyle.BackColor = System.Drawing.Color.FromArgb(0xEDEDED);

                         settings.SetDropDownWindowTemplateContent(c =>
                        {
                           @Html.RenderPartial("PartialLogisticPartnerGridPopup");
                          ViewContext.Writer.Write("<table style=\"width:100%\"><tr><td align=\"right\">");
                         @Html.DevExpress().Button(
                                buttonSettings => {
                                buttonSettings.Name = "buttonClose2";
                                 buttonSettings.Text = "Close";
                                 buttonSettings.Style.Add("float", "right");
                                buttonSettings.ClientSideEvents.Click = "function(s, e){ checkComboBox.HideDropDown(); }";
                         }
                            )
                            .Render();
                        ViewContext.Writer.Write("</td></tr></table>");
                         });
                         settings.Properties.EnableAnimation = false;
                      }
                        ).GetHtml()
        </td>

        <td>
        @Html.Label("Delivery Status")
        </td>
        <td style="padding-right:10px;">
                        @Html.DevExpress().TextBox(
                        settings =>
                        {
                            settings.Name = "DeliveryStatus";
                            settings.Text = Model.DeliveryStatus;
                            settings.Width = new System.Web.UI.WebControls.Unit(150);
                            settings.Enabled = false;                            
                            if (settings.Text.ToLower().Equals("ng"))
                            {
                                settings.ControlStyle.BackColor = System.Drawing.Color.Red;
                                settings.ControlStyle.ForeColor = System.Drawing.Color.White;
                            }
                            else
                            {
                                settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                                settings.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);
                            }
                            settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                        }).GetHtml()
        </td>

        </tr>
    <tr>
        <td>
        @Html.Label("PickUp Date")
        </td>
        <td style="padding-right:10px;">
                        @Html.DevExpress().TextBox(
                        settings =>
                        {
                            settings.Name = "PickUpDate";
                            settings.Text = Model.PickUpDate.ToString("dd/MM/yyyy"); //dd/MM/yyyy
                            settings.Width = new System.Web.UI.WebControls.Unit(150);
                            settings.Enabled = false;
                            settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                            settings.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);
                            settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                        }).GetHtml()
        </td>

        <td>
        @Html.Label("Download By")
        </td>
        <td style="padding-right:10px;">
                        @Html.DevExpress().TextBox(
                        settings =>
                        {
                            settings.Name = "DownloadBy";
                            settings.Text = Model.DownloadBy;
                            settings.Width = new System.Web.UI.WebControls.Unit(150);
                            settings.Enabled = false;
                            settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                            settings.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);
                            settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                        }).GetHtml()
        </td>
        </tr>

        <tr>
        <td>
        @Html.Label("Route - Rate")
        </td>
        <td style="padding-right:10px;">
                        @Html.DevExpress().TextBox(
                        settings =>
                        {
                            settings.Name = "RouteRate";
                            settings.Text = Model.RouteRate;
                            settings.Width = new System.Web.UI.WebControls.Unit(150);
                            settings.Enabled = false;
                            settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                            settings.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);
                            settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                        }).GetHtml()
        </td>

        <td>
        @Html.Label("Download Date")
        </td>
        <td style="padding-right:10px;">
                        @Html.DevExpress().TextBox(
                        settings =>
                        {
                            settings.Name = "DownloadDate";
                            //settings.Text = "10/01/2013 18:32";
                            settings.Text = Model.DownloadTime.ToShortDateString();
                            settings.Width = new System.Web.UI.WebControls.Unit(150);
                            settings.Enabled = false;
                            settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                            settings.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);
                            settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                        }).GetHtml()
        </td>
        </tr>

        <tr>
        <td>
        @Html.Label("Driver Manifest")
        </td>
        <td style="padding-right:10px;">
            @Html.DevExpress().Image(
                img =>
                {
                    img.ImageUrl = "~/Content/Images/pdf_icon.png";
                }).GetHtml()
                 
        </td>
         <td style="height:25px; padding-right:4px;">
        @Html.Label("Revise By")
        </td>
        <td style="padding-right:10px;">
                        @Html.DevExpress().TextBox(
                        settings =>
                        {
                            settings.Name = "ReviseName";
                            settings.Text = Model.ReviseBy;
                            settings.Width = new System.Web.UI.WebControls.Unit(150);
                            settings.Enabled = false;
                            settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                            settings.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);
                            settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                        }).GetHtml()
        </td>
        </tr>
        <tr>
         <td>
        @Html.Label("Notice")
        </td>
        <td style="padding-right:10px;">
            @Html.DevExpress().Image(
                img =>
                {
                    img.ImageUrl = "~/Content/Images/notice_new_icon.png";
                }).GetHtml()
                 
        </td>
        <td>
        @Html.Label("Revise Date")
        </td>
        <td style="padding-right:10px;">
                        @Html.DevExpress().TextBox(
                        settings =>
                        {
                            settings.Name = "ReviseDate";
                            //settings.Text = "14/01/2013 12:02";
                            settings.Text = Model.ReviseDate.ToShortDateString();
                            settings.Width = new System.Web.UI.WebControls.Unit(150);
                            settings.Enabled = false;
                            settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                            settings.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);
                            settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                        }).GetHtml()
        </td>
        </tr>

    </table>
    
    <br />
    <table width="100%" >
    <tr>
        <td style="width:70px"></td>
        <td style="width:70px" align = "left">
        @Html.DevExpress().Button(
            settings =>
            {

                settings.EncodeHtml = false;
                settings.Name = "Edits";
                settings.Text = "Edit";
                settings.Width = 80;
               // settings.UseSubmitBehavior = true;
                settings.ClientSideEvents.Click = "EditAll";
               
            }
            ).GetHtml()            
        </td>
        <td  style="width:80px" align = "left">
             @Html.DevExpress().Button(
            settings =>
            {
                settings.ClientVisible = false;
                settings.EncodeHtml = false;
                settings.Name = "btnSubmit";
                settings.Text = "Submit";
                settings.Width = 80;
                settings.UseSubmitBehavior = true;
                settings.ClientSideEvents.Click = "SubmitAll";
            }
            ).GetHtml()           
        </td>
        <td  style="width:80px">
            @Html.DevExpress().Button(
            settings =>
            {
                settings.ClientVisible = false;
                settings.EncodeHtml = false;
                settings.Name = "btnReset";
                settings.Text = "Cancel";
                settings.Width = 80;
                settings.UseSubmitBehavior = true;
                settings.ClientSideEvents.Click = "CancelAll";
            }
            ).GetHtml()            
        </td>
        <td></td>
    </tr>
</table>
